package com.sun.xml.internal.ws.resources;

import com.sun.istack.internal.localization.Localizable;
import com.sun.istack.internal.localization.Localizer;
import com.sun.istack.internal.localization.LocalizableMessageFactory;

public final class StreamingMessages
{
    private static final LocalizableMessageFactory messageFactory;
    private static final Localizer localizer;
    
    public StreamingMessages() {
    }
    
    public static Localizable localizableFASTINFOSET_DECODING_NOT_ACCEPTED() {
        return StreamingMessages.messageFactory.getMessage("fastinfoset.decodingNotAccepted", new Object[0]);
    }
    
    public static String FASTINFOSET_DECODING_NOT_ACCEPTED() {
        return StreamingMessages.localizer.localize(localizableFASTINFOSET_DECODING_NOT_ACCEPTED());
    }
    
    public static Localizable localizableSTAX_CANT_CREATE() {
        return StreamingMessages.messageFactory.getMessage("stax.cantCreate", new Object[0]);
    }
    
    public static String STAX_CANT_CREATE() {
        return StreamingMessages.localizer.localize(localizableSTAX_CANT_CREATE());
    }
    
    public static Localizable localizableSTREAMING_IO_EXCEPTION(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("streaming.ioException", new Object[] { arg0 });
    }
    
    public static String STREAMING_IO_EXCEPTION(Object arg0) {
        return StreamingMessages.localizer.localize(localizableSTREAMING_IO_EXCEPTION(arg0));
    }
    
    public static Localizable localizableSOURCEREADER_INVALID_SOURCE(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("sourcereader.invalidSource", new Object[] { arg0 });
    }
    
    public static String SOURCEREADER_INVALID_SOURCE(Object arg0) {
        return StreamingMessages.localizer.localize(localizableSOURCEREADER_INVALID_SOURCE(arg0));
    }
    
    public static Localizable localizableXMLREADER_UNEXPECTED_STATE(Object arg0, Object arg1) {
        return StreamingMessages.messageFactory.getMessage("xmlreader.unexpectedState", new Object[] { arg0, arg1 });
    }
    
    public static String XMLREADER_UNEXPECTED_STATE(Object arg0, Object arg1) {
        return StreamingMessages.localizer.localize(localizableXMLREADER_UNEXPECTED_STATE(arg0, arg1));
    }
    
    public static Localizable localizableWOODSTOX_CANT_LOAD(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("woodstox.cant.load", new Object[] { arg0 });
    }
    
    public static String WOODSTOX_CANT_LOAD(Object arg0) {
        return StreamingMessages.localizer.localize(localizableWOODSTOX_CANT_LOAD(arg0));
    }
    
    public static Localizable localizableXMLREADER_IO_EXCEPTION(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("xmlreader.ioException", new Object[] { arg0 });
    }
    
    public static String XMLREADER_IO_EXCEPTION(Object arg0) {
        return StreamingMessages.localizer.localize(localizableXMLREADER_IO_EXCEPTION(arg0));
    }
    
    public static Localizable localizableFASTINFOSET_NO_IMPLEMENTATION() {
        return StreamingMessages.messageFactory.getMessage("fastinfoset.noImplementation", new Object[0]);
    }
    
    public static String FASTINFOSET_NO_IMPLEMENTATION() {
        return StreamingMessages.localizer.localize(localizableFASTINFOSET_NO_IMPLEMENTATION());
    }
    
    public static Localizable localizableINVALID_PROPERTY_VALUE_INTEGER(Object arg0, Object arg1, Object arg2) {
        return StreamingMessages.messageFactory.getMessage("invalid.property.value.integer", new Object[] { arg0, arg1, arg2 });
    }
    
    public static String INVALID_PROPERTY_VALUE_INTEGER(Object arg0, Object arg1, Object arg2) {
        return StreamingMessages.localizer.localize(localizableINVALID_PROPERTY_VALUE_INTEGER(arg0, arg1, arg2));
    }
    
    public static Localizable localizableXMLWRITER_IO_EXCEPTION(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("xmlwriter.ioException", new Object[] { arg0 });
    }
    
    public static String XMLWRITER_IO_EXCEPTION(Object arg0) {
        return StreamingMessages.localizer.localize(localizableXMLWRITER_IO_EXCEPTION(arg0));
    }
    
    public static Localizable localizableXMLREADER_UNEXPECTED_CHARACTER_CONTENT(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("xmlreader.unexpectedCharacterContent", new Object[] { arg0 });
    }
    
    public static String XMLREADER_UNEXPECTED_CHARACTER_CONTENT(Object arg0) {
        return StreamingMessages.localizer.localize(localizableXMLREADER_UNEXPECTED_CHARACTER_CONTENT(arg0));
    }
    
    public static Localizable localizableSTREAMING_PARSE_EXCEPTION(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("streaming.parseException", new Object[] { arg0 });
    }
    
    public static String STREAMING_PARSE_EXCEPTION(Object arg0) {
        return StreamingMessages.localizer.localize(localizableSTREAMING_PARSE_EXCEPTION(arg0));
    }
    
    public static Localizable localizableXMLWRITER_NO_PREFIX_FOR_URI(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("xmlwriter.noPrefixForURI", new Object[] { arg0 });
    }
    
    public static String XMLWRITER_NO_PREFIX_FOR_URI(Object arg0) {
        return StreamingMessages.localizer.localize(localizableXMLWRITER_NO_PREFIX_FOR_URI(arg0));
    }
    
    public static Localizable localizableXMLREADER_NESTED_ERROR(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("xmlreader.nestedError", new Object[] { arg0 });
    }
    
    public static String XMLREADER_NESTED_ERROR(Object arg0) {
        return StreamingMessages.localizer.localize(localizableXMLREADER_NESTED_ERROR(arg0));
    }
    
    public static Localizable localizableINVALID_PROPERTY_VALUE_LONG(Object arg0, Object arg1, Object arg2) {
        return StreamingMessages.messageFactory.getMessage("invalid.property.value.long", new Object[] { arg0, arg1, arg2 });
    }
    
    public static String INVALID_PROPERTY_VALUE_LONG(Object arg0, Object arg1, Object arg2) {
        return StreamingMessages.localizer.localize(localizableINVALID_PROPERTY_VALUE_LONG(arg0, arg1, arg2));
    }
    
    public static Localizable localizableSTAXREADER_XMLSTREAMEXCEPTION(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("staxreader.xmlstreamexception", new Object[] { arg0 });
    }
    
    public static String STAXREADER_XMLSTREAMEXCEPTION(Object arg0) {
        return StreamingMessages.localizer.localize(localizableSTAXREADER_XMLSTREAMEXCEPTION(arg0));
    }
    
    public static Localizable localizableXMLWRITER_NESTED_ERROR(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("xmlwriter.nestedError", new Object[] { arg0 });
    }
    
    public static String XMLWRITER_NESTED_ERROR(Object arg0) {
        return StreamingMessages.localizer.localize(localizableXMLWRITER_NESTED_ERROR(arg0));
    }
    
    public static Localizable localizableXMLREADER_ILLEGAL_STATE_ENCOUNTERED(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("xmlreader.illegalStateEncountered", new Object[] { arg0 });
    }
    
    public static String XMLREADER_ILLEGAL_STATE_ENCOUNTERED(Object arg0) {
        return StreamingMessages.localizer.localize(localizableXMLREADER_ILLEGAL_STATE_ENCOUNTERED(arg0));
    }
    
    public static Localizable localizableXMLREADER_UNEXPECTED_STATE_TAG(Object arg0, Object arg1) {
        return StreamingMessages.messageFactory.getMessage("xmlreader.unexpectedState.tag", new Object[] { arg0, arg1 });
    }
    
    public static String XMLREADER_UNEXPECTED_STATE_TAG(Object arg0, Object arg1) {
        return StreamingMessages.localizer.localize(localizableXMLREADER_UNEXPECTED_STATE_TAG(arg0, arg1));
    }
    
    public static Localizable localizableXMLREADER_UNEXPECTED_STATE_MESSAGE(Object arg0, Object arg1, Object arg2) {
        return StreamingMessages.messageFactory.getMessage("xmlreader.unexpectedState.message", new Object[] { arg0, arg1, arg2 });
    }
    
    public static String XMLREADER_UNEXPECTED_STATE_MESSAGE(Object arg0, Object arg1, Object arg2) {
        return StreamingMessages.localizer.localize(localizableXMLREADER_UNEXPECTED_STATE_MESSAGE(arg0, arg1, arg2));
    }
    
    public static Localizable localizableXMLREADER_PARSE_EXCEPTION(Object arg0) {
        return StreamingMessages.messageFactory.getMessage("xmlreader.parseException", new Object[] { arg0 });
    }
    
    public static String XMLREADER_PARSE_EXCEPTION(Object arg0) {
        return StreamingMessages.localizer.localize(localizableXMLREADER_PARSE_EXCEPTION(arg0));
    }
    
    public static Localizable localizableXMLRECORDER_RECORDING_ENDED() {
        return StreamingMessages.messageFactory.getMessage("xmlrecorder.recording.ended", new Object[0]);
    }
    
    public static String XMLRECORDER_RECORDING_ENDED() {
        return StreamingMessages.localizer.localize(localizableXMLRECORDER_RECORDING_ENDED());
    }
    
    static {
        messageFactory = new LocalizableMessageFactory("com.sun.xml.internal.ws.resources.streaming");
        localizer = new Localizer();
    }
}
